
from django.http import JsonResponse
from rest_framework.decorators import action, api_view, schema
from django.views.decorators.csrf import csrf_exempt
# from .. import schemas


@csrf_exempt
@action(detail=False, methods=['get'])
@api_view(['GET'])
# @schema(schemas.AuthSchema())
def paraderos(request):
    api_key_google = 'AIzaSyDnFO9w_SsodjBuY5tOK8-kQJns_l5klQ4'
    zoom = 14.33
    center = {'lat': -36.8077884, 'lng': -73.0775401}
    marks = []
    marks.append({'lat': -36.8077884, 'lng': -73.0775401, 'title': 'Paradero 1'})
    marks.append({'lat': -36.811416, 'lng': -73.049571, 'title': 'Paradero 2'})
    marks.append({'lat': -36.814507, 'lng': -73.047618, 'title': 'Paradero 3'})

    return JsonResponse({
        'api_key_google': api_key_google,
        'zoom': zoom,
        'center': center,
        'marks': marks
    })
